<script setup lang="ts">
import { useMessage } from 'naive-ui'
import { useErrorStore } from 'store/errorStore'

const message = useMessage()
const errorStore = useErrorStore()

const handleBack = () => {
  message.info('[onBack]')
}
const handleClick = () => {
  message.info('Button Clicked')
}
const canPublish = computed(() => {
  return errorStore.getErrors.length > 0
})
</script>

<template>
  <header class="flex justify-between px-2 bg-white border-b-1 border-gray-200 w-[100vw]">
    <div id="page-title" class="inline-flex items-center">
      <n-page-header @back="handleBack">
        <template #avatar>
          <n-avatar
            src="./TotalExpert-Mark-Navy.svg"
            style="--n-color:initial"
          />
        </template>
        <template #title>
          Source Code Editor
        </template>
      </n-page-header>
      <n-divider vertical />
    </div>
    <div id="right" class="flex items-center justify-end space-x-sm">
      <!-- Publish -->
      <div id="publish" class="inline-flex items-center space-x-sm">
        <n-button secondary type="primary" @click="handleClick">
          <template #icon>
            <i role="img" class="i-ant-design:save-outlined block w-6 h-6" />
          </template>
          Save Draft
        </n-button>
        <n-button type="primary" :disabled="canPublish" @click="handleClick">
          <template #icon>
            <i role="img" class="i-ic:outline-publish block w-6 h-6" />
          </template>
          Publish
        </n-button>
      </div>
    </div>
  </header>
</template>
